JvxlData
Date: 2019-10-22

org.jmol.jvxl.data

## Class JvxlData

- java.lang.Object
- - org.jmol.jvxl.data.JvxlData

-     public class JvxlData
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `allowVolumeRender`
    `java.lang.String` | `baseColor`
    `javajs.util.P3[]` | `boundingBox`
    `java.lang.String` | `color`
    `boolean` | `colorDensity`
    `int` | `colorFractionBase`
    `int` | `colorFractionRange`
    `java.lang.String` | `colorScheme`
    `short[]` | `contourColixes`
    `java.lang.String` | `contourColors`
    `float[]` | `contourValues`
    `float[]` | `contourValuesUsed`
    `float` | `cutoff`
    `float` | `dataMax`
    `float` | `dataMin`
    `int` | `diameter`
    `int` | `edgeFractionBase`
    `int` | `edgeFractionRange`
    `int` | `excludedTriangleCount`
    `int` | `excludedVertexCount`
    `javajs.util.P3` | `fixedLattice`
    `boolean` | `insideOut`
    `float` | `integration`
    `boolean` | `isBicolorMap`
    `boolean` | `isColorReversed`
    `boolean` | `isContoured`
    `boolean` | `isCutoffAbsolute`
    `boolean` | `isJvxlPrecisionColor`
    `boolean` | `isModelConnected`
    `boolean` | `isSlabbable`
    `boolean` | `isTruncated`
    `boolean` | `isValid`
    `boolean` | `isXLowToHigh`
    `java.lang.String` | `jvxlColorData`
    `boolean` | `jvxlDataIs2dContour`
    `boolean` | `jvxlDataIsColorDensity`
    `boolean` | `jvxlDataIsColorMapped`
    `java.lang.String` | `jvxlEdgeData`
    `javajs.util.BS[]` | `jvxlExcluded`
    `java.lang.String` | `jvxlFileMessage`
    `java.lang.String` | `jvxlFileTitle`
    `javajs.util.P4` | `jvxlPlane`
    `java.lang.String` | `jvxlSurfaceData`
    `java.lang.String` | `jvxlVolumeDataXml`
    `javajs.util.P3` | `mapLattice`
    `float` | `mappedDataMax`
    `float` | `mappedDataMin`
    `short` | `maxColorIndex`
    `java.lang.String` | `meshColor`
    `short` | `minColorIndex`
    `java.lang.String` | `moleculeXml`
    `java.lang.String` | `msg`
    `long` | `nBytes`
    `int` | `nContours`
    `int` | `nEdges`
    `int` | `nPointsX`
    `int` | `nPointsY`
    `int` | `nPointsZ`
    `int` | `nSurfaceInts`
    `int` | `nVertexColors`
    `float` | `pointSize`
    `float` | `pointsPerAngstrom`
    `java.lang.String` | `rendering`
    `int` | `saveVertexCount`
    `float` | `scale3d`
    `java.lang.String` | `slabInfo`
    `int` | `slabValue`
    `int` | `thisContour`
    `int` | `thisSet`
    `java.lang.String[]` | `title`
    `float` | `translucency`
    `float` | `valueMappedToBlue`
    `float` | `valueMappedToRed`
    `javajs.util.Lst<java.lang.Object>[]` | `vContours`
    `java.lang.String` | `version`
    `java.util.Map<java.lang.String,javajs.util.BS>` | `vertexColorMap`
    `int[]` | `vertexColors`
    `int` | `vertexCount`
    `boolean` | `vertexDataOnly`
    `float` | `voxelVolume`
    `boolean` | `wasCubic`
    `boolean` | `wasJvxl`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JvxlData()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `void` | `jvxlUpdateInfo(java.lang.String[] title, long nBytes)`
    `void` | `setSurfaceInfo(javajs.util.P4 thePlane, javajs.util.P3 mapLattice, int nSurfaceInts, java.lang.String surfaceData)`
    `void` | `setSurfaceInfoFromBitSet(javajs.util.BS bs, javajs.util.P4 thePlane)`
    `void` | `setSurfaceInfoFromBitSetPts(javajs.util.BS bs, javajs.util.P4 thePlane, javajs.util.P3 mapLattice)`
    `static java.lang.String` | `updateSurfaceData(java.lang.String edgeData, float[] vertexValues, int vertexCount, int vertexIncrement, char isNaN)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### msg

          public java.lang.String msg

    - #### wasJvxl

          public boolean wasJvxl

    - #### wasCubic

          public boolean wasCubic

    - #### jvxlFileTitle

          public java.lang.String jvxlFileTitle

    - #### jvxlFileMessage

          public java.lang.String jvxlFileMessage

    - #### jvxlSurfaceData

          public java.lang.String jvxlSurfaceData

    - #### jvxlEdgeData

          public java.lang.String jvxlEdgeData

    - #### jvxlColorData

          public java.lang.String jvxlColorData

    - #### jvxlVolumeDataXml

          public java.lang.String jvxlVolumeDataXml

    - #### jvxlExcluded

          public javajs.util.BS[] jvxlExcluded

    - #### jvxlPlane

          public javajs.util.P4 jvxlPlane

    - #### isJvxlPrecisionColor

          public boolean isJvxlPrecisionColor

    - #### jvxlDataIsColorMapped

          public boolean jvxlDataIsColorMapped

    - #### jvxlDataIs2dContour

          public boolean jvxlDataIs2dContour

    - #### jvxlDataIsColorDensity

          public boolean jvxlDataIsColorDensity

    - #### isColorReversed

          public boolean isColorReversed

    - #### thisSet

          public int thisSet

    - #### edgeFractionBase

          public int edgeFractionBase

    - #### edgeFractionRange

          public int edgeFractionRange

    - #### colorFractionBase

          public int colorFractionBase

    - #### colorFractionRange

          public int colorFractionRange

    - #### isValid

          public boolean isValid

    - #### insideOut

          public boolean insideOut

    - #### isXLowToHigh

          public boolean isXLowToHigh

    - #### isContoured

          public boolean isContoured

    - #### isBicolorMap

          public boolean isBicolorMap

    - #### isTruncated

          public boolean isTruncated

    - #### isCutoffAbsolute

          public boolean isCutoffAbsolute

    - #### isModelConnected

          public boolean isModelConnected

    - #### vertexDataOnly

          public boolean vertexDataOnly

    - #### mappedDataMin

          public float mappedDataMin

    - #### mappedDataMax

          public float mappedDataMax

    - #### valueMappedToRed

          public float valueMappedToRed

    - #### valueMappedToBlue

          public float valueMappedToBlue

    - #### cutoff

          public float cutoff

    - #### pointsPerAngstrom

          public float pointsPerAngstrom

    - #### nPointsX

          public int nPointsX

    - #### nPointsY

          public int nPointsY

    - #### nPointsZ

          public int nPointsZ

    - #### nBytes

          public long nBytes

    - #### nContours

          public int nContours

    - #### nEdges

          public int nEdges

    - #### nSurfaceInts

          public int nSurfaceInts

    - #### vertexCount

          public int vertexCount

    - #### vContours

          public javajs.util.Lst<java.lang.Object>[] vContours

    - #### contourColixes

          public short[] contourColixes

    - #### contourColors

          public java.lang.String contourColors

    - #### contourValues

          public float[] contourValues

    - #### contourValuesUsed

          public float[] contourValuesUsed

    - #### thisContour

          public int thisContour

    - #### scale3d

          public float scale3d

    - #### minColorIndex

          public short minColorIndex

    - #### maxColorIndex

          public short maxColorIndex

    - #### title

          public java.lang.String[] title

    - #### version

          public java.lang.String version

    - #### boundingBox

          public javajs.util.P3[] boundingBox

    - #### excludedTriangleCount

          public int excludedTriangleCount

    - #### excludedVertexCount

          public int excludedVertexCount

    - #### colorDensity

          public boolean colorDensity

    - #### pointSize

          public float pointSize

    - #### moleculeXml

          public java.lang.String moleculeXml

    - #### dataMin

          public float dataMin

    - #### dataMax

          public float dataMax

    - #### saveVertexCount

          public int saveVertexCount

    - #### vertexColorMap

          public java.util.Map<java.lang.String,javajs.util.BS> vertexColorMap

    - #### nVertexColors

          public int nVertexColors

    - #### vertexColors

          public int[] vertexColors

    - #### color

          public java.lang.String color

    - #### meshColor

          public java.lang.String meshColor

    - #### translucency

          public float translucency

    - #### colorScheme

          public java.lang.String colorScheme

    - #### rendering

          public java.lang.String rendering

    - #### slabValue

          public int slabValue

    - #### isSlabbable

          public boolean isSlabbable

    - #### diameter

          public int diameter

    - #### slabInfo

          public java.lang.String slabInfo

    - #### allowVolumeRender

          public boolean allowVolumeRender

    - #### voxelVolume

          public float voxelVolume

    - #### mapLattice

          public javajs.util.P3 mapLattice

    - #### fixedLattice

          public javajs.util.P3 fixedLattice

    - #### baseColor

          public java.lang.String baseColor

    - #### integration

          public float integration

  - ### Constructor Detail

    - #### JvxlData

          public JvxlData()

  - ### Method Detail

    - #### clear

          public void clear()

    - #### setSurfaceInfo

          public void setSurfaceInfo(javajs.util.P4 thePlane,
                                     javajs.util.P3 mapLattice,
                                     int nSurfaceInts,
                                     java.lang.String surfaceData)

    - #### setSurfaceInfoFromBitSet

          public void setSurfaceInfoFromBitSet(javajs.util.BS bs,
                                               javajs.util.P4 thePlane)

    - #### setSurfaceInfoFromBitSetPts

          public void setSurfaceInfoFromBitSetPts(javajs.util.BS bs,
                                                  javajs.util.P4 thePlane,
                                                  javajs.util.P3 mapLattice)

    - #### jvxlUpdateInfo

          public void jvxlUpdateInfo(java.lang.String[] title,
                                     long nBytes)

    - #### updateSurfaceData

          public static java.lang.String updateSurfaceData(java.lang.String edgeData,
                                                           float[] vertexValues,
                                                           int vertexCount,
                                                           int vertexIncrement,
                                                           char isNaN)